// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : SerialOrderWPLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
var SerialOrderWPLst_PlantNr = grmi.NewField("PlantNr", "OM_SerialOrderWPLst.PlantNr", "plantnr", grmi.TypeInt)
var SerialOrderWPLst_SerialOrderId = grmi.NewField("SerialOrderId", "OM_SerialOrderWPLst.SerialOrderId", "serialorderid", grmi.TypeString)
var SerialOrderWPLst_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "OM_SerialOrderWPLst.WorkPlaceNr", "workplacenr", grmi.TypeInt)
var SerialOrderWPLst_Pos = grmi.NewField("Pos", "OM_SerialOrderWPLst.Pos", "pos", grmi.TypeInt)
var SerialOrderWPLst_Status = grmi.NewField("Status", "OM_SerialOrderWPLst.Status", "status", grmi.TypeInt)
var SerialOrderWPLst_SWCtrlPara1 = grmi.NewField("SWCtrlPara1", "OM_SerialOrderWPLst.SWCtrlPara1", "swctrlpara1", grmi.TypeString)
var SerialOrderWPLst_SWCtrlPara2 = grmi.NewField("SWCtrlPara2", "OM_SerialOrderWPLst.SWCtrlPara2", "swctrlpara2", grmi.TypeString)
var SerialOrderWPLst_SWCtrlPara3 = grmi.NewField("SWCtrlPara3", "OM_SerialOrderWPLst.SWCtrlPara3", "swctrlpara3", grmi.TypeInt)
var SerialOrderWPLst_SWCtrlPara4 = grmi.NewField("SWCtrlPara4", "OM_SerialOrderWPLst.SWCtrlPara4", "swctrlpara4", grmi.TypeInt)
var SerialOrderWPLst_SWCtrlPara5 = grmi.NewField("SWCtrlPara5", "OM_SerialOrderWPLst.SWCtrlPara5", "swctrlpara5", grmi.TypeFloat64)
var SerialOrderWPLst_SWCtrlPara6 = grmi.NewField("SWCtrlPara6", "OM_SerialOrderWPLst.SWCtrlPara6", "swctrlpara6", grmi.TypeFloat64)
var SerialOrderWPLst_LastModify = grmi.NewField("LastModify", "OM_SerialOrderWPLst.LastModify", "lastmodify", grmi.TypeDateTime)
var SerialOrderWPLst_LastUser = grmi.NewField("LastUser", "OM_SerialOrderWPLst.LastUser", "lastuser", grmi.TypeString)
var SerialOrderWPLst_CreateTime = grmi.NewField("CreateTime", "OM_SerialOrderWPLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : SerialOrderWPLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
var SerialOrderWPLst = grmi.NewEntity(
	"OM_SerialOrderWPLst",
	func() interface{} { return &model.SerialOrderWPLst{} },
	map[string]grmi.Field{
		SerialOrderWPLst_PlantNr.Name:       SerialOrderWPLst_PlantNr,
		SerialOrderWPLst_SerialOrderId.Name: SerialOrderWPLst_SerialOrderId,
		SerialOrderWPLst_WorkPlaceNr.Name:   SerialOrderWPLst_WorkPlaceNr,
		SerialOrderWPLst_Pos.Name:           SerialOrderWPLst_Pos,
		SerialOrderWPLst_Status.Name:        SerialOrderWPLst_Status,
		SerialOrderWPLst_SWCtrlPara1.Name:   SerialOrderWPLst_SWCtrlPara1,
		SerialOrderWPLst_SWCtrlPara2.Name:   SerialOrderWPLst_SWCtrlPara2,
		SerialOrderWPLst_SWCtrlPara3.Name:   SerialOrderWPLst_SWCtrlPara3,
		SerialOrderWPLst_SWCtrlPara4.Name:   SerialOrderWPLst_SWCtrlPara4,
		SerialOrderWPLst_SWCtrlPara5.Name:   SerialOrderWPLst_SWCtrlPara5,
		SerialOrderWPLst_SWCtrlPara6.Name:   SerialOrderWPLst_SWCtrlPara6,
		SerialOrderWPLst_LastModify.Name:    SerialOrderWPLst_LastModify,
		SerialOrderWPLst_LastUser.Name:      SerialOrderWPLst_LastUser,
		SerialOrderWPLst_CreateTime.Name:    SerialOrderWPLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Status", "SWCtrlPara1", "SWCtrlPara2", "SWCtrlPara3", "SWCtrlPara4", "SWCtrlPara5", "SWCtrlPara6", "LastUser"})
