// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : OpcInfo的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-14 14:51:48
 *
 ******************************************************************************/
var OpcInfo_PlantNr = grmi.NewField("PlantNr", "OpcInfo.PlantNr", "plantnr", grmi.TypeInt)
var OpcInfo_WorkLineId = grmi.NewField("WorkLineId", "OpcInfo.WorkLineId", "worklineid", grmi.TypeString)
var OpcInfo_StepNo = grmi.NewField("StepNo", "OpcInfo.StepNo", "stepno", grmi.TypeInt)
var OpcInfo_StepDesc = grmi.NewField("StepDesc", "OpcInfo.StepDesc", "stepdesc", grmi.TypeString)
var OpcInfo_BrandName = grmi.NewField("BrandName", "OpcInfo.BrandName", "brandname", grmi.TypeString)
var OpcInfo_MachineType = grmi.NewField("MachineType", "OpcInfo.MachineType", "machinetype", grmi.TypeString)
var OpcInfo_IpAddress = grmi.NewField("IpAddress", "OpcInfo.IpAddress", "ipaddress", grmi.TypeString)
var OpcInfo_RuleId = grmi.NewField("RuleId", "OpcInfo.RuleId", "ruleid", grmi.TypeInt)
var OpcInfo_ActionType = grmi.NewField("ActionType", "OpcInfo.ActionType", "actiontype", grmi.TypeString)
var OpcInfo_DBlockAddress = grmi.NewField("DBlockAddress", "OpcInfo.DBlockAddress", "dblockaddress", grmi.TypeString)
var OpcInfo_DBlockValueType = grmi.NewField("DBlockValueType", "OpcInfo.DBlockValueType", "dblockvaluetype", grmi.TypeString)
var OpcInfo_DBlockValue = grmi.NewField("DBlockValue", "OpcInfo.DBlockValue", "dblockvalue", grmi.TypeInt)
var OpcInfo_LastModify = grmi.NewField("LastModify", "OpcInfo.LastModify", "lastmodify", grmi.TypeDateTime)
var OpcInfo_LastUser = grmi.NewField("LastUser", "OpcInfo.LastUser", "lastuser", grmi.TypeString)
var OpcInfo_CreateTime = grmi.NewField("CreateTime", "OpcInfo.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : OpcInfo的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-14 14:51:48
 *
 ******************************************************************************/
var OpcInfo = grmi.NewEntity(
	"OpcInfo",
	func() interface{} { return &model.OpcInfo{} },
	map[string]grmi.Field{
		OpcInfo_PlantNr.Name:         OpcInfo_PlantNr,
		OpcInfo_WorkLineId.Name:      OpcInfo_WorkLineId,
		OpcInfo_StepNo.Name:          OpcInfo_StepNo,
		OpcInfo_StepDesc.Name:        OpcInfo_StepDesc,
		OpcInfo_BrandName.Name:       OpcInfo_BrandName,
		OpcInfo_MachineType.Name:     OpcInfo_MachineType,
		OpcInfo_IpAddress.Name:       OpcInfo_IpAddress,
		OpcInfo_RuleId.Name:          OpcInfo_RuleId,
		OpcInfo_ActionType.Name:      OpcInfo_ActionType,
		OpcInfo_DBlockAddress.Name:   OpcInfo_DBlockAddress,
		OpcInfo_DBlockValueType.Name: OpcInfo_DBlockValueType,
		OpcInfo_DBlockValue.Name:     OpcInfo_DBlockValue,
		OpcInfo_LastModify.Name:      OpcInfo_LastModify,
		OpcInfo_LastUser.Name:        OpcInfo_LastUser,
		OpcInfo_CreateTime.Name:      OpcInfo_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"StepDesc", "BrandName", "MachineType", "IpAddress", "RuleId", "ActionType", "DBlockAddress", "DBlockValueType", "DBlockValue", "LastUser"})
