// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : SerialOrderWPStatusRecLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
var SerialOrderWPStatusRecLst_PlantNr = grmi.NewField("PlantNr", "OM_SerialOrderWPStatusRecLst.PlantNr", "plantnr", grmi.TypeInt)
var SerialOrderWPStatusRecLst_SerialOrderId = grmi.NewField("SerialOrderId", "OM_SerialOrderWPStatusRecLst.SerialOrderId", "serialorderid", grmi.TypeString)
var SerialOrderWPStatusRecLst_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "OM_SerialOrderWPStatusRecLst.WorkPlaceNr", "workplacenr", grmi.TypeInt)
var SerialOrderWPStatusRecLst_OriginPos = grmi.NewField("OriginPos", "OM_SerialOrderWPStatusRecLst.OriginPos", "originpos", grmi.TypeInt)
var SerialOrderWPStatusRecLst_Pos = grmi.NewField("Pos", "OM_SerialOrderWPStatusRecLst.Pos", "pos", grmi.TypeInt)
var SerialOrderWPStatusRecLst_PrevStatus = grmi.NewField("PrevStatus", "OM_SerialOrderWPStatusRecLst.PrevStatus", "prevstatus", grmi.TypeInt)
var SerialOrderWPStatusRecLst_Status = grmi.NewField("Status", "OM_SerialOrderWPStatusRecLst.Status", "status", grmi.TypeInt)
var SerialOrderWPStatusRecLst_TriggerEvent = grmi.NewField("TriggerEvent", "OM_SerialOrderWPStatusRecLst.TriggerEvent", "triggerevent", grmi.TypeString)
var SerialOrderWPStatusRecLst_TriggerObjectId = grmi.NewField("TriggerObjectId", "OM_SerialOrderWPStatusRecLst.TriggerObjectId", "triggerobjectid", grmi.TypeString)
var SerialOrderWPStatusRecLst_TriggerSubObjectId = grmi.NewField("TriggerSubObjectId", "OM_SerialOrderWPStatusRecLst.TriggerSubObjectId", "triggersubobjectid", grmi.TypeString)
var SerialOrderWPStatusRecLst_OutputStatus = grmi.NewField("OutputStatus", "OM_SerialOrderWPStatusRecLst.OutputStatus", "outputstatus", grmi.TypeInt)
var SerialOrderWPStatusRecLst_OutputEvent = grmi.NewField("OutputEvent", "OM_SerialOrderWPStatusRecLst.OutputEvent", "outputevent", grmi.TypeString)
var SerialOrderWPStatusRecLst_OutputEventMessageId = grmi.NewField("OutputEventMessageId", "OM_SerialOrderWPStatusRecLst.OutputEventMessageId", "outputeventmessageid", grmi.TypeString)
var SerialOrderWPStatusRecLst_OutputObjectId = grmi.NewField("OutputObjectId", "OM_SerialOrderWPStatusRecLst.OutputObjectId", "outputobjectid", grmi.TypeString)
var SerialOrderWPStatusRecLst_OutputSubObjectId = grmi.NewField("OutputSubObjectId", "OM_SerialOrderWPStatusRecLst.OutputSubObjectId", "outputsubobjectid", grmi.TypeString)
var SerialOrderWPStatusRecLst_OutputErrNum = grmi.NewField("OutputErrNum", "OM_SerialOrderWPStatusRecLst.OutputErrNum", "outputerrnum", grmi.TypeInt)
var SerialOrderWPStatusRecLst_Remark1 = grmi.NewField("Remark1", "OM_SerialOrderWPStatusRecLst.Remark1", "remark1", grmi.TypeString)
var SerialOrderWPStatusRecLst_Remark2 = grmi.NewField("Remark2", "OM_SerialOrderWPStatusRecLst.Remark2", "remark2", grmi.TypeString)
var SerialOrderWPStatusRecLst_LastModify = grmi.NewField("LastModify", "OM_SerialOrderWPStatusRecLst.LastModify", "lastmodify", grmi.TypeDateTime)
var SerialOrderWPStatusRecLst_LastUser = grmi.NewField("LastUser", "OM_SerialOrderWPStatusRecLst.LastUser", "lastuser", grmi.TypeString)
var SerialOrderWPStatusRecLst_CreateTime = grmi.NewField("CreateTime", "OM_SerialOrderWPStatusRecLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : SerialOrderWPStatusRecLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
var SerialOrderWPStatusRecLst = grmi.NewEntity(
	"OM_SerialOrderWPStatusRecLst",
	func() interface{} { return &model.SerialOrderWPStatusRecLst{} },
	map[string]grmi.Field{
		SerialOrderWPStatusRecLst_PlantNr.Name:              SerialOrderWPStatusRecLst_PlantNr,
		SerialOrderWPStatusRecLst_SerialOrderId.Name:        SerialOrderWPStatusRecLst_SerialOrderId,
		SerialOrderWPStatusRecLst_WorkPlaceNr.Name:          SerialOrderWPStatusRecLst_WorkPlaceNr,
		SerialOrderWPStatusRecLst_OriginPos.Name:            SerialOrderWPStatusRecLst_OriginPos,
		SerialOrderWPStatusRecLst_Pos.Name:                  SerialOrderWPStatusRecLst_Pos,
		SerialOrderWPStatusRecLst_PrevStatus.Name:           SerialOrderWPStatusRecLst_PrevStatus,
		SerialOrderWPStatusRecLst_Status.Name:               SerialOrderWPStatusRecLst_Status,
		SerialOrderWPStatusRecLst_TriggerEvent.Name:         SerialOrderWPStatusRecLst_TriggerEvent,
		SerialOrderWPStatusRecLst_TriggerObjectId.Name:      SerialOrderWPStatusRecLst_TriggerObjectId,
		SerialOrderWPStatusRecLst_TriggerSubObjectId.Name:   SerialOrderWPStatusRecLst_TriggerSubObjectId,
		SerialOrderWPStatusRecLst_OutputStatus.Name:         SerialOrderWPStatusRecLst_OutputStatus,
		SerialOrderWPStatusRecLst_OutputEvent.Name:          SerialOrderWPStatusRecLst_OutputEvent,
		SerialOrderWPStatusRecLst_OutputEventMessageId.Name: SerialOrderWPStatusRecLst_OutputEventMessageId,
		SerialOrderWPStatusRecLst_OutputObjectId.Name:       SerialOrderWPStatusRecLst_OutputObjectId,
		SerialOrderWPStatusRecLst_OutputSubObjectId.Name:    SerialOrderWPStatusRecLst_OutputSubObjectId,
		SerialOrderWPStatusRecLst_OutputErrNum.Name:         SerialOrderWPStatusRecLst_OutputErrNum,
		SerialOrderWPStatusRecLst_Remark1.Name:              SerialOrderWPStatusRecLst_Remark1,
		SerialOrderWPStatusRecLst_Remark2.Name:              SerialOrderWPStatusRecLst_Remark2,
		SerialOrderWPStatusRecLst_LastModify.Name:           SerialOrderWPStatusRecLst_LastModify,
		SerialOrderWPStatusRecLst_LastUser.Name:             SerialOrderWPStatusRecLst_LastUser,
		SerialOrderWPStatusRecLst_CreateTime.Name:           SerialOrderWPStatusRecLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PrevStatus", "Status", "TriggerEvent", "TriggerObjectId", "TriggerSubObjectId", "OutputStatus", "OutputEvent", "OutputEventMessageId", "OutputObjectId", "OutputSubObjectId", "OutputErrNum", "Remark1", "Remark2", "LastUser"})
